Difference between revisions of "Draft AddPoint/cs"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 22: Line 22:
 
</div>
 
</div>
  
The counterpart to this tool is the {{Button|[[Image:Draft DelPoint.svg|16px]] [[Draft DelPoint|Draft DelPoint]]}} operation.
+
The counterpart to this tool is the [[Image:Draft DelPoint.svg|16px]] [[Draft DelPoint|Draft DelPoint]] operation.
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">

Latest revision as of 01:57, 21 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft WireToBSpline.svg Wire to BSpline Předchozí:
Další: Delete point Draft DelPoint.svg Arrow-right.svg

Draft AddPoint.svg Kreslení Přidat bod

Umístění Menu
Draft → Add Point
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Draft DelPoint/cs, Draft Edit/cs


Popis

Tento nástroj Vám umožní přidat další bod do Drátů a B-křivek.

The counterpart to this tool is the Draft DelPoint.svg Draft DelPoint operation.

Použití

  1. Vyberte drát nebo B-křivku
  2. Stiskněte tlačítko Draft AddPoint.png Přidat bod
  3. Klikněte na bod ve 3D pohledu nebo zadejte souřadnice

This functionality is also available from the Draft Edit.svg Draft Edit tool.

Volby

  • Tato funkcionalita je dostupná i v nástroji Draft Edit.png Úpravy

Skriptování

Není dostupné, ale přidání bodu do drátů a B-křivek je snadné, například:

The Points attribute of a wire or spline is a list with the points that comprise that object; to add points, overwrite this attribute with a longer list of points. You can use methods like append() and insert() to add a new element in the desired position in the list. Each point is defined by its FreeCAD.Vector, with units in millimeters.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft WireToBSpline.svg Wire to BSpline Předchozí:
Další: Delete point Draft DelPoint.svg Arrow-right.svg